Bug 811513 - Provide support for "remove-brick stop" operation
Provide support for "remove-brick stop" operation
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
pre-release
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: shishir gowda
shylesh
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-04-11 06:02 EDT by shylesh
Modified: 2013-12-08 20:31 EST (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:36:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: 3.3.0qa42
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description shylesh 2012-04-11 06:02:23 EDT
Description of problem:


Stop should replace abort operation and provide a graceful shutdown of decommissioning.
Comment 1 Anand Avati 2012-04-13 03:47:06 EDT
CHANGE: http://review.gluster.com/3126 (glusterd/remove-brick: Replace ABORT with STOP) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 shylesh 2012-05-23 09:38:21 EDT
Now stop option is available which will reset the volfile back.

Note You need to log in before you can comment on or make changes to this bug.